: Class MPI

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mpi
Class MPI

    java.lang.Object
      |
      +--mpi.MPI

public class MPI
extends java.lang.Object

Field Summary
`static int` | `ANY_SOURCE`
`static int` | `ANY_TAG`
`static Op` | `BAND`
`static Datatype` | `BOOLEAN`
`static Op` | `BOR`
`static int` | `BSEND_OVERHEAD`
`static Op` | `BXOR`
`static Datatype` | `BYTE`
`static int` | `CART`
`static Datatype` | `CHAR`
`static Comm` | `COMM_SELF`
`static Intracomm` | `COMM_WORLD`
`static int` | `CONGRUENT`
`static Datatype` | `DOUBLE`
`static Datatype` | `DOUBLE2`
`static Datatype` | `FLOAT`
`static Datatype` | `FLOAT2`
`static int` | `GRAPH`
`static Group` | `GROUP_EMPTY`
`static int` | `HOST`
`static int` | `IDENT`
`static Datatype` | `INT`
`static Datatype` | `INT2`
`static int` | `IO`
`static Op` | `LAND`
`static Datatype` | `LB`
`static Datatype` | `LONG`
`static Datatype` | `LONG2`
`static Op` | `LOR`
`static Op` | `LXOR`
`static Op` | `MAX`
`static Op` | `MAXLOC`
`static Op` | `MIN`
`static Op` | `MINLOC`
`static Datatype` | `OBJECT`
`static Datatype` | `PACKED`
`static int` | `PROC_NULL`
`static Op` | `PROD`
`static Request` | `REQUEST_NULL`
`static Datatype` | `SHORT`
`static Datatype` | `SHORT2`
`static int` | `SIMILAR`
`static Op` | `SUM`
`static int` | `TAG_UB`
`static Datatype` | `UB`
`static int` | `UNDEFINED`
`static int` | `UNEQUAL`

Constructor Summary
`MPI()`

Method Summary
`static void` | `Buffer_attach(byte[] buffer)` Provides to MPI a buffer in user's memory to be used for buffering outgoing messages.
`static byte[]` | `Buffer_detach()` Detach the buffer currently associated with MPI.
`static void` | `Finalize()` Finalize MPI.
`static java.lang.String` | `Get_processor_name()` Returns the name of the processor on which it is called.
`static java.lang.String[]` | `Init(java.lang.String[] args)` Initialize MPI.
`static boolean` | `Initialized()` Test if MPI has been initialized.
`static double` | `Wtick()` Returns resolution of timer.
`static double` | `Wtime()` Returns wallclock time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMM_WORLD

    public static Intracomm COMM_WORLD

### COMM_SELF

    public static Comm COMM_SELF

### GRAPH

    public static int GRAPH

### CART

    public static int CART

### ANY_SOURCE

    public static int ANY_SOURCE

### ANY_TAG

    public static int ANY_TAG

### MAX

    public static Op MAX

### MIN

    public static Op MIN

### SUM

    public static Op SUM

### PROD

    public static Op PROD

### LAND

    public static Op LAND

### BAND

    public static Op BAND

### LOR

    public static Op LOR

### BOR

    public static Op BOR

### LXOR

    public static Op LXOR

### BXOR

    public static Op BXOR

### MINLOC

    public static Op MINLOC

### MAXLOC

    public static Op MAXLOC

### BYTE

    public static Datatype BYTE

### CHAR

    public static Datatype CHAR

### SHORT

    public static Datatype SHORT

### BOOLEAN

    public static Datatype BOOLEAN

### INT

    public static Datatype INT

### LONG

    public static Datatype LONG

### FLOAT

    public static Datatype FLOAT

### DOUBLE

    public static Datatype DOUBLE

### PACKED

    public static Datatype PACKED

### LB

    public static Datatype LB

### UB

    public static Datatype UB

### OBJECT

    public static Datatype OBJECT

### SHORT2

    public static Datatype SHORT2

### INT2

    public static Datatype INT2

### LONG2

    public static Datatype LONG2

### FLOAT2

    public static Datatype FLOAT2

### DOUBLE2

    public static Datatype DOUBLE2

### REQUEST_NULL

    public static Request REQUEST_NULL

### GROUP_EMPTY

    public static Group GROUP_EMPTY

### PROC_NULL

    public static int PROC_NULL

### BSEND_OVERHEAD

    public static int BSEND_OVERHEAD

### UNDEFINED

    public static int UNDEFINED

### IDENT

    public static int IDENT

### CONGRUENT

    public static int CONGRUENT

### SIMILAR

    public static int SIMILAR

### UNEQUAL

    public static int UNEQUAL

### TAG_UB

    public static int TAG_UB

### HOST

    public static int HOST

### IO

    public static int IO

Constructor Detail

### MPI

    public MPI()

Method Detail

### Init

    public static java.lang.String[] Init(java.lang.String[] args)
                                   throws MPIException

  Initialize MPI.

  `args` | arguments to `main` method.

  Java binding of the MPI operation `MPI_INIT`.

### Finalize

    public static void Finalize()
                         throws MPIException

  Finalize MPI.

  Java binding of the MPI operation `MPI_FINALIZE`.

### Wtime

    public static double Wtime()

  Returns wallclock time.

  returns: | elapsed wallclock time in seconds since some time in the past

  Java binding of the MPI operation `MPI_WTIME`.

### Wtick

    public static double Wtick()

  Returns resolution of timer.

  returns: | resolution of `wtime` in seconds.

  Java binding of the MPI operation `MPI_WTICK`.

### Get_processor_name

    public static java.lang.String Get_processor_name()
                                               throws MPIException

  Returns the name of the processor on which it is called.

  returns: | A unique specifier for the actual node.

  Java binding of the MPI operation `MPI_GET_PROCESSOR_NAME`.

### Initialized

    public static boolean Initialized()
                               throws MPIException

  Test if MPI has been initialized.

  returns: | `true` if `Init` has been called, `false` otherwise.

  Java binding of the MPI operation `MPI_INITIALIZED`.

### Buffer_attach

    public static void Buffer_attach(byte[] buffer)
                              throws MPIException

  Provides to MPI a buffer in user's memory to be used for buffering outgoing messages. Java binding of the MPI operation `MPI_BUFFER_ATTACH`.

### Buffer_detach

    public static byte[] Buffer_detach()
                                throws MPIException

  Detach the buffer currently associated with MPI. Java binding of the MPI operation `MPI_BUFFER_DETACH`.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD